diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/spectrum-wifi-phy.cc ns-3.44/src/wifi/model/spectrum-wifi-phy.cc
--- ns-3.43/src/wifi/model/spectrum-wifi-phy.cc	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/spectrum-wifi-phy.cc	2025-03-09 16:55:49.799372700 -0700
@@ -124,13 +124,13 @@
     NS_LOG_FUNCTION(this << spectrumPhyInterface);
     WifiSpectrumBands bands{};
     const auto channelWidth = spectrumPhyInterface->GetChannelWidth();
-    if (channelWidth < 20)
+    if (channelWidth < MHz_u{20})
     {
         bands.push_back(GetBandForInterface(spectrumPhyInterface, channelWidth));
     }
     else
     {
-        for (MHz_u bw = channelWidth; bw >= 20; bw = bw / 2)
+        for (MHz_u bw = channelWidth; bw >= MHz_u{20}; bw = bw / 2)
         {
             for (uint16_t i = 0; i < (channelWidth / bw); ++i)
             {
@@ -147,7 +147,7 @@
 {
     HeRuBands heRuBands{};
     const auto channelWidth = spectrumPhyInterface->GetChannelWidth();
-    for (MHz_u bw = channelWidth; bw >= 20; bw = bw / 2)
+    for (MHz_u bw = channelWidth; bw >= MHz_u{20}; bw = bw / 2)
     {
         for (uint32_t i = 0; i < (channelWidth / bw); ++i)
         {
@@ -178,10 +178,10 @@
                                                                     indicesPerSegment));
                     }
                     std::size_t index =
-                        (bw == 160 && phyIndex > nRus / 2 ? phyIndex - nRus / 2 : phyIndex);
-                    const auto p20Index = GetOperatingChannel().GetPrimaryChannelIndex(20);
-                    bool primary80IsLower80 = (p20Index < bw / 40);
-                    bool primary80 = (bw < 160 || ruType == HeRu::RU_2x996_TONE ||
+                        (bw == MHz_u{160} && phyIndex > nRus / 2 ? phyIndex - nRus / 2 : phyIndex);
+                    const auto p20Index = GetOperatingChannel().GetPrimaryChannelIndex(MHz_u{20});
+                    bool primary80IsLower80 = (p20Index < bw / MHz_u{40});
+                    bool primary80 = (bw < MHz_u{160} || ruType == HeRu::RU_2x996_TONE ||
                                       (primary80IsLower80 && phyIndex <= nRus / 2) ||
                                       (!primary80IsLower80 && phyIndex > nRus / 2));
                     HeRu::RuSpec ru(ruType, index, primary80);
@@ -470,7 +470,7 @@
     {
         NS_ASSERT_MSG(receivedSignalPsd->GetValuesN() ==
                           interface->GetRxSpectrumModel()->GetNumBands(),
-                      "Use multi model spectrum channel if PHYs have different spectrum models!");
+                      "Incorrect spectrum conversion or multi model spectrum channel is not used!");
     }
     NS_LOG_DEBUG("Received signal with PSD " << *receivedSignalPsd << " and duration "
                                              << rxDuration.As(Time::NS));
@@ -489,21 +489,21 @@
     const auto channelWidth = interface ? interface->GetChannelWidth() : GetChannelWidth();
     const auto& bands =
         interface ? interface->GetBands() : m_currentSpectrumPhyInterface->GetBands();
-    Watt_u totalRxPower = 0.0;
+    Watt_u totalRxPower{0.0};
     RxPowerWattPerChannelBand rxPowers;
 
     const auto rxGainRatio = DbToRatio(GetRxGain());
 
     std::size_t index = 0;
-    MHz_u prevBw = 0;
+    MHz_u prevBw{0};
     for (const auto& band : bands)
     {
         const auto bw =
             std::accumulate(band.frequencies.cbegin(),
                             band.frequencies.cend(),
-                            0,
+                            MHz_u{0},
                             [](MHz_u sum, const auto& startStopFreqs) {
-                                return sum + ((startStopFreqs.second - startStopFreqs.first) / 1e6);
+                                return sum + HzToMHz(startStopFreqs.second - startStopFreqs.first);
                             });
         NS_ASSERT(bw <= channelWidth);
         index = ((bw != prevBw) ? 0 : (index + 1));
@@ -515,10 +515,10 @@
         rxPowers.insert({band, rxPowerPerBand});
         NS_LOG_DEBUG("Signal power received after antenna gain for "
                      << bw << " MHz channel band " << index << ": " << rxPowerPerBand << " W"
-                     << (rxPowerPerBand > 0.0
+                     << (rxPowerPerBand > Watt_u{0.0}
                              ? " (" + std::to_string(WToDbm(rxPowerPerBand)) + " dBm)"
                              : ""));
-        if (bw <= 20)
+        if (bw <= MHz_u{20})
         {
             totalRxPower += rxPowerPerBand;
         }
@@ -539,17 +539,18 @@
         }
     }
 
-    NS_ASSERT_MSG(totalRxPower >= 0.0, "Negative RX power");
-    NS_LOG_DEBUG(
-        "Total signal power received after antenna gain: "
-        << totalRxPower << " W"
-        << (totalRxPower > 0.0 ? " (" + std::to_string(WToDbm(totalRxPower)) + " dBm)" : ""));
+    NS_ASSERT_MSG(totalRxPower >= Watt_u{0.0}, "Negative RX power");
+    NS_LOG_DEBUG("Total signal power received after antenna gain: "
+                 << totalRxPower << " W"
+                 << (totalRxPower > Watt_u{0.0}
+                         ? " (" + std::to_string(WToDbm(totalRxPower)) + " dBm)"
+                         : ""));
 
     Ptr<WifiSpectrumSignalParameters> wifiRxParams =
         DynamicCast<WifiSpectrumSignalParameters>(rxParams);
 
     // Log the signal arrival to the trace source
-    if (totalRxPower > 0.0)
+    if (totalRxPower > Watt_u{0.0})
     {
         m_signalCb(rxParams, senderNodeId, WToDbm(totalRxPower), rxDuration);
     }
@@ -587,12 +588,13 @@
     // Current implementation assumes constant RX power over the PPDU duration
     // Compare received TX power per MHz to normalized RX sensitivity
     const auto ppdu = GetRxPpduFromTxPpdu(wifiRxParams->ppdu);
-    if (totalRxPower < DbmToW(GetRxSensitivity()) * (ppdu->GetTxChannelWidth() / 20.0))
+    if (totalRxPower < DbmToW(GetRxSensitivity()) * (ppdu->GetTxChannelWidth() / MHz_u{20}))
     {
-        NS_LOG_INFO(
-            "Received signal too weak to process: "
-            << totalRxPower << " W"
-            << (totalRxPower > 0.0 ? " (" + std::to_string(WToDbm(totalRxPower)) + " dBm)" : ""));
+        NS_LOG_INFO("Received signal too weak to process: "
+                    << totalRxPower << " W"
+                    << (totalRxPower > Watt_u{0.0}
+                            ? " (" + std::to_string(WToDbm(totalRxPower)) + " dBm)"
+                            : ""));
         m_interference->Add(ppdu, rxDuration, rxPowers, GetCurrentFrequencyRange());
         SwitchMaybeToCcaBusy(nullptr);
         return;
@@ -662,11 +664,11 @@
 MHz_u
 SpectrumWifiPhy::GetGuardBandwidth(MHz_u currentChannelWidth) const
 {
-    MHz_u guardBandwidth = 0;
-    if (currentChannelWidth == 22)
+    MHz_u guardBandwidth{0};
+    if (currentChannelWidth == MHz_u{22})
     {
         // handle case of DSSS transmission
-        guardBandwidth = 10;
+        guardBandwidth = MHz_u{10};
     }
     else
     {
@@ -684,7 +686,7 @@
 uint32_t
 SpectrumWifiPhy::GetNumBandsBetweenSegments(const std::vector<MHz_u>& centerFrequencies,
                                             MHz_u totalWidth,
-                                            uint32_t subcarrierSpacing)
+                                            Hz_u subcarrierSpacing)
 {
     const auto numSegments = centerFrequencies.size();
     NS_ABORT_MSG_IF(numSegments > 2, "Only 2 non-contiguous frequency segments are supported");
@@ -698,7 +700,7 @@
     // all segments have the same width
     const auto segmentsWidth = totalWidth / numSegments;
     const auto widthBetweenSegments = highFrequency - lowFrequency - segmentsWidth;
-    return (widthBetweenSegments * 1e6) / subcarrierSpacing;
+    return MHzToHz(widthBetweenSegments) / subcarrierSpacing;
 }
 
 WifiSpectrumBandInfo
@@ -721,8 +723,8 @@
         numSegments = spectrumPhyInterface->GetCenterFrequencies().size();
         bandWidth /= spectrumPhyInterface->GetCenterFrequencies().size();
     }
-    const auto numBandsInBand = static_cast<size_t>(bandWidth * 1e6 / subcarrierSpacing);
-    auto numBandsInChannel = static_cast<size_t>(channelWidth * 1e6 / subcarrierSpacing);
+    const auto numBandsInBand = static_cast<size_t>(MHzToHz(bandWidth) / subcarrierSpacing);
+    auto numBandsInChannel = static_cast<size_t>(MHzToHz(channelWidth) / subcarrierSpacing);
     const auto numBands = channelWidth / bandWidth;
     if (numBandsInBand % 2 == 0)
     {
@@ -750,9 +752,9 @@
         auto frequencies =
             ConvertIndicesToFrequenciesForInterface(spectrumPhyInterface, {startIndex, stopIndex});
         auto freqRange = spectrumPhyInterface->GetFrequencyRange();
-        NS_ASSERT(frequencies.first >= (freqRange.minFrequency * 1e6));
-        NS_ASSERT(frequencies.second <= (freqRange.maxFrequency * 1e6));
-        NS_ASSERT((frequencies.second - frequencies.first) == (bandWidth * 1e6));
+        NS_ASSERT(frequencies.first >= MHzToHz(freqRange.minFrequency));
+        NS_ASSERT(frequencies.second <= MHzToHz(freqRange.maxFrequency));
+        NS_ASSERT((frequencies.second - frequencies.first) == MHzToHz(bandWidth));
         if (startIndex >= totalNumBands / 2)
         {
             // step past DC
@@ -789,7 +791,7 @@
     auto startGuardBand = rxSpectrumModel->Begin();
     auto startChannel = std::next(startGuardBand, indices.first);
     auto endChannel = std::next(startGuardBand, indices.second + 1);
-    return {startChannel->fc, endChannel->fc};
+    return {Hz_u{startChannel->fc}, Hz_u{endChannel->fc}};
 }
 
 std::tuple<dBr_u, dBr_u, dBr_u>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/spectrum-wifi-phy.h ns-3.44/src/wifi/model/spectrum-wifi-phy.h
--- ns-3.43/src/wifi/model/spectrum-wifi-phy.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/spectrum-wifi-phy.h	2025-03-09 16:55:49.799372700 -0700
@@ -36,8 +36,8 @@
 using HeRuBands = std::map<WifiSpectrumBandInfo, HeRu::RuSpec>;
 
 /**
- * \brief 802.11 PHY layer model
- * \ingroup wifi
+ * @brief 802.11 PHY layer model
+ * @ingroup wifi
  *
  * This PHY implements a spectrum-aware enhancement of the 802.11 SpectrumWifiPhy
  * model.
@@ -54,8 +54,8 @@
     friend class ::SpectrumWifiPhyFilterTest;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -76,8 +76,8 @@
     /**
      * Attach a SpectrumChannel to use for a given frequency range.
      *
-     * \param channel the SpectrumChannel to attach
-     * \param freqRange the frequency range, bounded by a minFrequency and a maxFrequency in MHz
+     * @param channel the SpectrumChannel to attach
+     * @param freqRange the frequency range, bounded by a minFrequency and a maxFrequency in MHz
      */
     void AddChannel(const Ptr<SpectrumChannel> channel,
                     const FrequencyRange& freqRange = WHOLE_WIFI_SPECTRUM);
@@ -86,14 +86,14 @@
      * Input method for delivering a signal from the spectrum channel
      * and low-level PHY interface to this SpectrumWifiPhy instance.
      *
-     * \param rxParams Input signal parameters
-     * \param interface the Spectrum PHY interface for which the signal has been detected
+     * @param rxParams Input signal parameters
+     * @param interface the Spectrum PHY interface for which the signal has been detected
      */
     void StartRx(Ptr<SpectrumSignalParameters> rxParams,
                  Ptr<const WifiSpectrumPhyInterface> interface);
 
     /**
-     * \param antenna an AntennaModel to include in the transmitted
+     * @param antenna an AntennaModel to include in the transmitted
      *                SpectrumSignalParameters (in case any objects downstream of the
      *                SpectrumWifiPhy wish to adjust signal properties based on the
      *                transmitted antenna model.  This antenna is also used when
@@ -107,16 +107,16 @@
     /**
      * Get the antenna model used for reception
      *
-     * \return the AntennaModel used for reception
+     * @return the AntennaModel used for reception
      */
     Ptr<AntennaModel> GetAntenna() const;
 
     /**
      * Callback invoked when the PHY model starts to process a signal
      *
-     * \param senderNodeId Node Id of the sender of the signal
-     * \param rxPower received signal power (dBm)
-     * \param duration Signal duration
+     * @param senderNodeId Node Id of the sender of the signal
+     * @param rxPower received signal power (dBm)
+     * @param duration Signal duration
      */
     typedef void (*SignalArrivalCallback)(Ptr<const SpectrumSignalParameters> signal,
                                           uint32_t senderNodeId,
@@ -130,8 +130,8 @@
      * portion specified by the caller. It takes care to configure the RX spectrum model of the PHY
      * interface and to update the bands tracked in interference helper.
      *
-     * \param frequencies the center frequency of each segment the PHY interface should use
-     * \param width the total channel width the PHY interface should use
+     * @param frequencies the center frequency of each segment the PHY interface should use
+     * @param width the total channel width the PHY interface should use
      */
     void ConfigureInterface(const std::vector<MHz_u>& frequencies, MHz_u width);
 
@@ -139,29 +139,29 @@
      * This function is sending the signal to the Spectrum channel
      * after finishing the configuration of the transmit parameters.
      *
-     * \param txParams the parameters to be provided to the Spectrum channel
+     * @param txParams the parameters to be provided to the Spectrum channel
      */
     void Transmit(Ptr<WifiSpectrumSignalParameters> txParams);
 
     /**
      * Determine the WifiPpdu to be used by the RX PHY based on the WifiPpdu sent by the TX PHY.
      *
-     * \param ppdu the WifiPpdu transmitted by the TX PHY
-     * \return the WifiPpdu to be used by the RX PHY
+     * @param ppdu the WifiPpdu transmitted by the TX PHY
+     * @return the WifiPpdu to be used by the RX PHY
      */
     Ptr<const WifiPpdu> GetRxPpduFromTxPpdu(Ptr<const WifiPpdu> ppdu);
 
     /**
      * Get the currently active spectrum PHY interface
      *
-     * \return the current spectrum PHY interface
+     * @return the current spectrum PHY interface
      */
     Ptr<WifiSpectrumPhyInterface> GetCurrentInterface() const;
 
     /**
      * Get the map of interfaces attached to this spectrum PHY
      *
-     * \return the map of interfaces attached to this spectrum PHY
+     * @return the map of interfaces attached to this spectrum PHY
      */
     const std::map<FrequencyRange, Ptr<WifiSpectrumPhyInterface>>& GetSpectrumPhyInterfaces() const;
 
@@ -169,18 +169,18 @@
      * Determine the number of bands between the two segments if the operating channel is made of
      * non-contiguous segments, otherwise the function returns zero.
      *
-     * \param centerFrequencies the center frequency of each segment
-     * \param totalWidth the width of the operating channel
-     * \param subcarrierSpacing the subcarrier spacing
-     * \return the number of bands between the two segments if the operating channel is made of
+     * @param centerFrequencies the center frequency of each segment
+     * @param totalWidth the width of the operating channel
+     * @param subcarrierSpacing the subcarrier spacing
+     * @return the number of bands between the two segments if the operating channel is made of
      * non-contiguous segments, zero otherwise
      */
     static uint32_t GetNumBandsBetweenSegments(const std::vector<MHz_u>& centerFrequencies,
                                                MHz_u totalWidth,
-                                               uint32_t subcarrierSpacing);
+                                               Hz_u subcarrierSpacing);
 
     /**
-     * \param callback the callback to invoke when operating channel has switched.
+     * @param callback the callback to invoke when operating channel has switched.
      */
     void SetChannelSwitchedCallback(Callback<void> callback);
 
@@ -204,10 +204,10 @@
 
     /**
      * Perform run-time spectrum model change
-     * \param spectrumPhyInterface the spectrum PHY interface for which the spectrum model should be
+     * @param spectrumPhyInterface the spectrum PHY interface for which the spectrum model should be
      * changed
-     * \param centerFrequencies the center frequency of each segment the PHY interface should use
-     * \param channelWidth the total channel width the PHY interface should use
+     * @param centerFrequencies the center frequency of each segment the PHY interface should use
+     * @param channelWidth the total channel width the PHY interface should use
      */
     void ResetSpectrumModel(Ptr<WifiSpectrumPhyInterface> spectrumPhyInterface,
                             const std::vector<MHz_u>& centerFrequencies,
@@ -215,16 +215,16 @@
 
     /**
      * This function is called to update the bands handled by the InterferenceHelper.
-     * \param spectrumPhyInterface the spectrum PHY interface for which the bands should be updated
+     * @param spectrumPhyInterface the spectrum PHY interface for which the bands should be updated
      */
     void UpdateInterferenceHelperBands(Ptr<WifiSpectrumPhyInterface> spectrumPhyInterface);
 
     /**
      * This function computes the RU bands that belong to a given spectrum PHY interface.
      *
-     * \param spectrumPhyInterface the spectrum PHY interface to consider to compute the RU bands
-     * \param guardBandwidth width of the guard band
-     * \returns the computed RU bands for the spectrum PHY interface
+     * @param spectrumPhyInterface the spectrum PHY interface to consider to compute the RU bands
+     * @param guardBandwidth width of the guard band
+     * @returns the computed RU bands for the spectrum PHY interface
      */
     HeRuBands GetHeRuBands(Ptr<WifiSpectrumPhyInterface> spectrumPhyInterface,
                            MHz_u guardBandwidth);
@@ -232,19 +232,19 @@
     /**
      * This function computes the bands that belong to a given spectrum PHY interface.
      *
-     * \param spectrumPhyInterface the spectrum PHY interface to consider to compute the bands
-     * \returns the computed bands for the spectrum PHY interface
+     * @param spectrumPhyInterface the spectrum PHY interface to consider to compute the bands
+     * @returns the computed bands for the spectrum PHY interface
      */
     WifiSpectrumBands ComputeBands(Ptr<WifiSpectrumPhyInterface> spectrumPhyInterface);
 
     /**
      * Get the info of a given band that belongs to a given spectrum PHY interface
      *
-     * \param spectrumPhyInterface the spectrum PHY interface
-     * \param bandWidth the width of the band to be returned
-     * \param bandIndex the index of the band to be returned
+     * @param spectrumPhyInterface the spectrum PHY interface
+     * @param bandWidth the width of the band to be returned
+     * @param bandIndex the index of the band to be returned
      *
-     * \return the info that defines the band
+     * @return the info that defines the band
      */
     WifiSpectrumBandInfo GetBandForInterface(Ptr<WifiSpectrumPhyInterface> spectrumPhyInterface,
                                              MHz_u bandWidth,
@@ -253,9 +253,9 @@
     /**
      * This is a helper function to convert start and stop indices to start and stop frequencies.
      *
-     * \param spectrumPhyInterface the spectrum PHY interface to consider for the calculations
-     * \param indices the start/stop indices to convert
-     * \return the converted frequencies
+     * @param spectrumPhyInterface the spectrum PHY interface to consider for the calculations
+     * @param indices the start/stop indices to convert
+     * @return the converted frequencies
      */
     WifiSpectrumBandFrequencies ConvertIndicesToFrequenciesForInterface(
         Ptr<WifiSpectrumPhyInterface> spectrumPhyInterface,
@@ -265,8 +265,8 @@
      * Determine whether the PHY shall issue a PHY-RXSTART.indication primitive in response to a
      * given PPDU.
      *
-     * \param ppdu the PPDU
-     * \return true if the PHY shall issue a PHY-RXSTART.indication primitive in response to a PPDU,
+     * @param ppdu the PPDU
+     * @return true if the PHY shall issue a PHY-RXSTART.indication primitive in response to a PPDU,
      * false otherwise
      */
     bool CanStartRx(Ptr<const WifiPpdu> ppdu) const;
@@ -274,9 +274,9 @@
     /**
      * Get the spectrum PHY interface that covers a band portion of the RF channel
      *
-     * \param frequency the center frequency of the RF channel band
-     * \param width the width of the RF channel band
-     * \return the spectrum PHY interface that covers the indicated band of the RF channel
+     * @param frequency the center frequency of the RF channel band
+     * @param width the width of the RF channel band
+     * @return the spectrum PHY interface that covers the indicated band of the RF channel
      */
     Ptr<WifiSpectrumPhyInterface> GetInterfaceCoveringChannelBand(MHz_u frequency,
                                                                   MHz_u width) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ssid.h ns-3.44/src/wifi/model/ssid.h
--- ns-3.43/src/wifi/model/ssid.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/ssid.h	2025-03-09 16:55:49.799372700 -0700
@@ -15,11 +15,11 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * The IEEE 802.11 SSID Information Element
  *
- * \see attribute_Ssid
+ * @see attribute_Ssid
  */
 class Ssid : public WifiInformationElement
 {
@@ -31,7 +31,7 @@
     /**
      * Create SSID from a given string
      *
-     * \param s SSID in string
+     * @param s SSID in string
      */
     Ssid(std::string s);
 
@@ -42,16 +42,16 @@
     /**
      * Check if the two SSIDs are equal.
      *
-     * \param o SSID to compare to
+     * @param o SSID to compare to
      *
-     * \return true if the two SSIDs are equal,
+     * @return true if the two SSIDs are equal,
      *         false otherwise
      */
     bool IsEqual(const Ssid& o) const;
     /**
      * Check if the SSID is broadcast.
      *
-     * \return true if the SSID is broadcast,
+     * @return true if the SSID is broadcast,
      *         false otherwise
      */
     bool IsBroadcast() const;
@@ -59,7 +59,7 @@
     /**
      * Peek the SSID.
      *
-     * \return a pointer to SSID string
+     * @return a pointer to SSID string
      */
     char* PeekString() const;
 
@@ -75,10 +75,10 @@
 /**
  * Serialize from the given istream to this SSID.
  *
- * \param is the input stream
- * \param ssid the SSID
+ * @param is the input stream
+ * @param ssid the SSID
  *
- * \return std::istream
+ * @return std::istream
  */
 std::istream& operator>>(std::istream& is, Ssid& ssid);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/status-code.h ns-3.44/src/wifi/model/status-code.h
--- ns-3.43/src/wifi/model/status-code.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/status-code.h	2025-03-09 16:55:49.799372700 -0700
@@ -33,22 +33,22 @@
     /**
      * Return whether the status code is success.
      *
-     * \return true if success,
+     * @return true if success,
      *         false otherwise
      */
     bool IsSuccess() const;
 
     /**
-     * \returns the expected size of the status code.
+     * @returns the expected size of the status code.
      *
      * This method should return the number of bytes which are needed to store
      * the status code data by Serialize.
      */
     uint32_t GetSerializedSize() const;
     /**
-     * \param start an iterator which points to where the status code should be written
+     * @param start an iterator which points to where the status code should be written
      *
-     * \return Buffer::Iterator
+     * @return Buffer::Iterator
      *
      * This method is used to store a status code into the byte buffer.
      * The data written is expected to match bit-for-bit the representation of this
@@ -56,9 +56,9 @@
      */
     Buffer::Iterator Serialize(Buffer::Iterator start) const;
     /**
-     * \param start an iterator which points to where the status code should be read.
+     * @param start an iterator which points to where the status code should be read.
      *
-     * \returns the number of bytes read.
+     * @returns the number of bytes read.
      *
      * This method is used to re-create a status code from the byte buffer.
      * The data read is expected to match bit-for-bit the representation of this
@@ -73,10 +73,10 @@
 /**
  * Serialize StatusCode to the given ostream.
  *
- * \param os the output stream
- * \param code the StatusCode
+ * @param os the output stream
+ * @param code the StatusCode
  *
- * \return std::ostream
+ * @return std::ostream
  */
 std::ostream& operator<<(std::ostream& os, const StatusCode& code);
 
